Bug 1285595 - vubr coredumpd during repeatedly load/unload virtio-net driver inside guest.
Summary: vubr coredumpd during repeatedly load/unload virtio-net driver inside guest.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Victor Kaplansky
QA Contact: Pei Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1288337
TreeView+ depends on / blocked
 
Reported: 2015-11-26 01:20 UTC by Qian Guo
Modified: 2016-11-07 21:38 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:38:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Comment 5 Mike McCune 2016-03-28 23:44:20 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Pei Zhang 2016-09-08 07:17:30 UTC
Verification:
Versions:
Host:
3.10.0-503.el7.x86_64
qemu-kvm-rhev-2.6.0-18.el7.x86_64

Guest:
3.10.0-503.el7.x86_64

Steps:
1. Launch slirp as background
# /usr/libexec/qemu-kvm \
-net none \
-net socket,vlan=0,udp=localhost:4444,localaddr=localhost:5555 \
-net user,vlan=0

2. Start vhotuser as server
# ./vhost-user-bridge

3. Boot guest with vhostuser as client
# /usr/libexec/qemu-kvm -enable-kvm -m 4096 -smp 4 \
-object memory-backend-file,id=mem0,size=4096M,mem-path=/dev/hugepages,share=on \
-numa node,nodeid=0,memdev=mem0 \
-mem-prealloc \
-vga std -vnc :10 \
/home/pezhang/rhel7.3.qcow2 \
-chardev socket,id=char0,path=/tmp/vubr.sock \
-device virtio-net-pci,netdev=mynet1,mac=54:52:00:1a:2c:01 \
-netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
-monitor stdio \

4. Repeat unload/load virtio_net driver in guest, vhost-user-bridge works well after 16 minutes.
# while true ; do modprobe -r virtio_net ; sleep 0.5 ; modprobe virtio_net; pkill dhclient ; sleep 0.5 ; dhclient eth0; done


So this bug has been fixed well.

Comment 8 Pei Zhang 2016-09-08 07:56:42 UTC
Also re-verify this bug with vhost-user-bridge of qemu-kvm-rhev-2.6.0-23.el7.src.rpm.  Still works well.

So set this bug to 'VERIFIED' as Comment 7 and Comment 8.

Comment 10 errata-xmlrpc 2016-11-07 21:38:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.